Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001658KdenliveUser Interfacepublic2010-06-14 16:022010-09-14 23:01
Reporterytkach 
Assigned Tottill 
PriorityhighSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Platform32 bit intel and alikeOSUbuntu LinuxOS Version9.04
Product Version0.7.7.1 
Target VersionFixed in Version0.7.8 
Summary0001658: Crashes every time I select a clip in the timeline
DescriptionApplication crashes every time I select a clip in the timeline. Sometimes it crashes right after load without even showing the UI.
I've loaded a file to the project. Then I put the clip in the time line. I made a cut in two places. When I select the clip in the middle to delete it, it crashed right after I click the clip.
Steps To ReproduceOpen project. Select a clip in timeline. Crash.
Additional InformationProgram received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0xb5418a10 (LWP 18144)]
KeyframeEdit::slotAdjustKeyframeInfo (this=0xb23e718, seek=false)
    at /usr/include/qt4/QtGui/qtablewidget.h:108
108 /usr/include/qt4/QtGui/qtablewidget.h: No such file or directory.
    in /usr/include/qt4/QtGui/qtablewidget.h
(gdb) thead apply all bt
Undefined command: "thead". Try "help".
(gdb) thread apply all bt

Thread 27 (Thread 0xadf73b90 (LWP 18173)):
#0 0xb77cb430 in __kernel_vsyscall ()
#1 0xb5db50e5 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/i686/cmov/libpthread.so.0
0000002 0xb5ebc43d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
0000003 0xb33c911c in ?? () from /usr/lib/mlt/libmltsdl.so
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 26 (Thread 0xad772b90 (LWP 18172)):
#0 0xb314db92 in ?? () from /usr/lib/mlt/libmltoldfilm.so
Cannot access memory at address 0x284

Thread 1 (Thread 0xb5418a10 (LWP 18144)):
#0 KeyframeEdit::slotAdjustKeyframeInfo (this=0xb23e718, seek=false)
    at /usr/include/qt4/QtGui/qtablewidget.h:108
#1 0x082bec26 in KeyframeEdit::addParameter (this=0xb23e718, e=
        {<QDomNode> = {impl = 0xbfd9d5a4}, <No data fields>})
    at /build/buildd/kdenlive-0.7.7.1/src/keyframeedit.cpp:126
0000002 0x081a6ada in EffectStackEdit::transferParamDesc (this=0xa51aff8, d=
        {<QDomNode> = {impl = 0xbfd9d7bc}, <No data fields>}, in=25180,
    out=107) at /build/buildd/kdenlive-0.7.7.1/src/effectstackedit.cpp:248
0000003 0x0819d698 in EffectStackView::slotItemSelectionChanged (this=0xa636218,
    update=false) at /build/buildd/kdenlive-0.7.7.1/src/effectstackview.cpp:246
---Type <return> to continue, or q <return> to quit---
0000004 0x081a09f8 in EffectStackView::setupListView (this=0xa636218, ix=0)
    at /build/buildd/kdenlive-0.7.7.1/src/effectstackview.cpp:236
0000005 0x081a1299 in EffectStackView::slotClipItemSelected (this=0xa636218,
    c=0xb137bc8, ix=0)
    at /build/buildd/kdenlive-0.7.7.1/src/effectstackview.cpp:167
0000006 0x081a1525 in EffectStackView::qt_metacall (this=0xa636218,
    _c=QMetaObject::InvokeMetaMethod, _id=7, _a=0xbfd9da7c)
    at /build/buildd/kdenlive-0.7.7.1/obj-i486-linux-gnu/src/cmake_bindir/effectstackview.moc:106
0000007 0xb6bce748 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
0000008 0xb6bceb80 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
0000009 0x0807cb33 in CustomTrackView::clipItemSelected (this=0xb132a78,
    _t1=0xb137bc8, _t2=-1)
    at /build/buildd/kdenlive-0.7.7.1/obj-i486-linux-gnu/src/cmake_bindir/moc_customtrackview.cpp:306
0000010 0x0814dfdf in CustomTrackView::mousePressEvent (this=0xb132a78,
    event=0xbfd9e758)
    at /build/buildd/kdenlive-0.7.7.1/src/customtrackview.cpp:1025
0000011 0xb61c89c6 in QWidget::event () from /usr/lib/libQtGui.so.4
0000012 0xb65a62c3 in QFrame::event () from /usr/lib/libQtGui.so.4
0000013 0xb664633f in QAbstractScrollArea::viewportEvent ()
   from /usr/lib/libQtGui.so.4
0000014 0xb67ef6b2 in QGraphicsView::viewportEvent () from /usr/lib/libQtGui.so.4
---Type <return> to continue, or q <return> to quit---
0000015 0xb6648945 in ?? () from /usr/lib/libQtGui.so.4
0000016 0xb6bb76ba in QCoreApplicationPrivate::sendThroughObjectEventFilters ()
   from /usr/lib/libQtCore.so.4
0000017 0xb6171baa in QApplicationPrivate::notify_helper ()
   from /usr/lib/libQtGui.so.4
0000018 0xb617a851 in QApplication::notify () from /usr/lib/libQtGui.so.4
0000019 0xb755ce0d in KApplication::notify () from /usr/lib/libkdeui.so.5
0000020 0xb6bb849b in QCoreApplication::notifyInternal ()
   from /usr/lib/libQtCore.so.4
0000021 0xb61798be in QApplicationPrivate::sendMouseEvent ()
   from /usr/lib/libQtGui.so.4
0000022 0xb61e9aee in ?? () from /usr/lib/libQtGui.so.4
0000023 0xb61e8ead in QApplication::x11ProcessEvent () from /usr/lib/libQtGui.so.4
0000024 0xb621406a in ?? () from /usr/lib/libQtGui.so.4
0000025 0xb5780b88 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
0000026 0xb57840eb in ?? () from /usr/lib/libglib-2.0.so.0
0000027 0xb5784268 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
0000028 0xb6be3ec8 in QEventDispatcherGlib::processEvents ()
   from /usr/lib/libQtCore.so.4
0000029 0xb6213765 in ?? () from /usr/lib/libQtGui.so.4
0000030 0xb6bb6aca in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
0000031 0xb6bb6f0a in QEventLoop::exec () from /usr/lib/libQtCore.so.4
0000032 0xb6bb93b9 in QCoreApplication::exec () from /usr/lib/libQtCore.so.4
---Type <return> to continue, or q <return> to quit---
0000033 0xb6171a47 in QApplication::exec () from /usr/lib/libQtGui.so.4
0000034 0x080820f5 in main (argc=1, argv=0xbfda0294)
    at /build/buildd/kdenlive-0.7.7.1/src/main.cpp:86
TagsNo tags attached.
Build/Install MethodDistribution package
Attached Files? file icon training.kdenlive [^] (11,134 bytes) 2010-06-14 16:02

- Relationships

-  Notes
(0005289)
ytkach (reporter)
2010-06-17 21:34

I think that has something to do with the vignette video effect.
I can reproduce the bug every time with any video loaded.
So the steps are:
1) Start kdenlive
2) Add some video clip to project
3) Place clip into timeline
4) Apply Vignette video effect to the clip
5) Select Razor tool and click anywhere in the clip
6) Select Selection tool and click on the right video
Crash

Here is the debug information dump:

Program received signal SIGSEGV, Segmentation fault.
[Switching to Thread 0xb549aa10 (LWP 13666)]
KeyframeEdit::slotAdjustKeyframeInfo (this=0xa29ec90, seek=false)
    at /usr/include/qt4/QtGui/qtablewidget.h:108
108 /usr/include/qt4/QtGui/qtablewidget.h: No such file or directory.
    in /usr/include/qt4/QtGui/qtablewidget.h
(gdb) thread apply all bt

Thread 22 (Thread 0xadff5b90 (LWP 13689)):
#0 0xb784d430 in __kernel_vsyscall ()
#1 0xb5e370e5 in pthread_cond_wait@@GLIBC_2.3.2 ()
   from /lib/tls/i686/cmov/libpthread.so.0
0000002 0xb5f3e43d in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
0000003 0xb344b11c in ?? () from /usr/lib/mlt/libmltsdl.so
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 21 (Thread 0xad7f4b90 (LWP 13688)):
#0 0xb784d430 in __kernel_vsyscall ()
#1 0xb5e37412 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/tls/i686/cmov/libpthread.so.0
0000002 0xb5f3e494 in pthread_cond_timedwait () from /lib/tls/i686/cmov/libc.so.6
0000003 0xb7828549 in mlt_consumer_get_frame () from /usr/lib/libmlt.so.2
0000004 0x00000004 in ?? ()
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 20 (Thread 0xac5adb90 (LWP 13687)):
#0 0xb784d430 in __kernel_vsyscall ()
#1 0xb5e37412 in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib/tls/i686/cmov/libpthread.so.0
0000002 0xb5f3e494 in pthread_cond_timedwait () from /lib/tls/i686/cmov/libc.so.6
---Type <return> to continue, or q <return> to quit---
0000003 0xb6b4727c in QWaitCondition::wait () from /usr/lib/libQtCore.so.4
0000004 0xb6b3baf6 in ?? () from /usr/lib/libQtCore.so.4
0000005 0xb6b4625e in ?? () from /usr/lib/libQtCore.so.4
0000006 0xb5e334ff in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
0000007 0xb5f2f5ee in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 1 (Thread 0xb549aa10 (LWP 13666)):
#0 KeyframeEdit::slotAdjustKeyframeInfo (this=0xa29ec90, seek=false)
    at /usr/include/qt4/QtGui/qtablewidget.h:108
#1 0x082bec26 in KeyframeEdit::addParameter (this=0xa29ec90, e=
        {<QDomNode> = {impl = 0xbf976334}, <No data fields>})
    at /build/buildd/kdenlive-0.7.7.1/src/keyframeedit.cpp:126
0000002 0x081a6ada in EffectStackEdit::transferParamDesc (this=0x9b50f08, d=
        {<QDomNode> = {impl = 0xbf97654c}, <No data fields>}, in=1239, out=611)
    at /build/buildd/kdenlive-0.7.7.1/src/effectstackedit.cpp:248
0000003 0x0819d698 in EffectStackView::slotItemSelectionChanged (this=0x9b12780,
    update=false) at /build/buildd/kdenlive-0.7.7.1/src/effectstackview.cpp:246
0000004 0x081a09f8 in EffectStackView::setupListView (this=0x9b12780, ix=0)
    at /build/buildd/kdenlive-0.7.7.1/src/effectstackview.cpp:236
0000005 0x081a1299 in EffectStackView::slotClipItemSelected (this=0x9b12780,
    c=0xa986100, ix=0)
    at /build/buildd/kdenlive-0.7.7.1/src/effectstackview.cpp:167
0000006 0x081a1525 in EffectStackView::qt_metacall (this=0x9b12780,
---Type <return> to continue, or q <return> to quit---
    _c=QMetaObject::InvokeMetaMethod, _id=7, _a=0xbf97680c)
    at /build/buildd/kdenlive-0.7.7.1/obj-i486-linux-gnu/src/cmake_bindir/effectstackview.moc:106
0000007 0xb6c50748 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
0000008 0xb6c50b80 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
0000009 0x0807cb33 in CustomTrackView::clipItemSelected (this=0xa5f47d8,
    _t1=0xa986100, _t2=-1)
    at /build/buildd/kdenlive-0.7.7.1/obj-i486-linux-gnu/src/cmake_bindir/moc_customtrackview.cpp:306
0000010 0x0814dfdf in CustomTrackView::mousePressEvent (this=0xa5f47d8,
    event=0xbf9774e8)
    at /build/buildd/kdenlive-0.7.7.1/src/customtrackview.cpp:1025
0000011 0xb624a9c6 in QWidget::event () from /usr/lib/libQtGui.so.4
0000012 0xb66282c3 in QFrame::event () from /usr/lib/libQtGui.so.4
0000013 0xb66c833f in QAbstractScrollArea::viewportEvent ()
   from /usr/lib/libQtGui.so.4
0000014 0xb68716b2 in QGraphicsView::viewportEvent () from /usr/lib/libQtGui.so.4
0000015 0xb66ca945 in ?? () from /usr/lib/libQtGui.so.4
0000016 0xb6c396ba in QCoreApplicationPrivate::sendThroughObjectEventFilters ()
   from /usr/lib/libQtCore.so.4
0000017 0xb61f3baa in QApplicationPrivate::notify_helper ()
   from /usr/lib/libQtGui.so.4
0000018 0xb61fc851 in QApplication::notify () from /usr/lib/libQtGui.so.4
---Type <return> to continue, or q <return> to quit---
0000019 0xb75dee0d in KApplication::notify () from /usr/lib/libkdeui.so.5
0000020 0xb6c3a49b in QCoreApplication::notifyInternal ()
   from /usr/lib/libQtCore.so.4
0000021 0xb61fb8be in QApplicationPrivate::sendMouseEvent ()
   from /usr/lib/libQtGui.so.4
0000022 0xb626baee in ?? () from /usr/lib/libQtGui.so.4
0000023 0xb626aead in QApplication::x11ProcessEvent () from /usr/lib/libQtGui.so.4
0000024 0xb629606a in ?? () from /usr/lib/libQtGui.so.4
0000025 0xb5802b88 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
0000026 0xb58060eb in ?? () from /usr/lib/libglib-2.0.so.0
0000027 0xb5806268 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
0000028 0xb6c65ec8 in QEventDispatcherGlib::processEvents ()
   from /usr/lib/libQtCore.so.4
0000029 0xb6295765 in ?? () from /usr/lib/libQtGui.so.4
0000030 0xb6c38aca in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
0000031 0xb6c38f0a in QEventLoop::exec () from /usr/lib/libQtCore.so.4
0000032 0xb6c3b3b9 in QCoreApplication::exec () from /usr/lib/libQtCore.so.4
0000033 0xb61f3a47 in QApplication::exec () from /usr/lib/libQtGui.so.4
0000034 0x080820f5 in main (argc=1, argv=0xbf979024)
    at /build/buildd/kdenlive-0.7.7.1/src/main.cpp:86
(0005297)
ttill (developer)
2010-06-19 19:32

This crash was related to resizing (and also cut) clips with effects with multiple keyframable parameters.
Should be fixed in svn rev. 4526 (cut) and 4527 (resize)

- Issue History
Date Modified Username Field Change
2010-06-14 16:02 ytkach New Issue
2010-06-14 16:02 ytkach File Added: training.kdenlive
2010-06-17 21:34 ytkach Note Added: 0005289
2010-06-17 21:57 ttill Assigned To => ttill
2010-06-17 21:57 ttill Status new => assigned
2010-06-19 19:32 ttill Note Added: 0005297
2010-06-19 19:32 ttill Status assigned => feedback
2010-06-30 22:00 ttill Status feedback => resolved
2010-06-30 22:00 ttill Resolution open => fixed
2010-06-30 22:00 ttill Fixed in Version => Recent git
2010-09-14 11:01 j-b-m Fixed in Version Recent git => 0.7.8
2010-09-14 23:01 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker